Feature/pip updates (#666)

* fix startup script for pyinstaller
* update 3rd party libs
* flatpak setup
* rely on requirements for pyqt6
* xcb fixes for linux binary build
* removed old linux build workflow
pull/669/head v0.6.1
Holger Müller 2023-07-31 13:31:27 +02:00 committed by GitHub
parent abb80a5160
commit b4800102d8
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
9 changed files with 20 additions and 58 deletions

View File

@ -1,40 +0,0 @@
name: Linux Release
on:
push:
tags:
- v*
workflow_dispatch:
jobs:
release:
runs-on: ubuntu-20.04
steps:
- name: Checkout repository
uses: actions/checkout@v3
with:
fetch-depth: 0
- name: Install python
run: |
sudo apt-get update
sudo apt install -y python3.9 python3-pip python3.9-venv \
python3.9-dev \
python3-pyqt5
- name: Install dependencies and pyinstall
run: |
python3.9 -m venv build
. build/bin/activate
python -m pip install pip==23.0.1 setuptools==67.6.0
pip install -r requirements.txt
pip install PyInstaller==5.9.0
- name: Build binary
run: |
. build/bin/activate
python setup.py -V
pyinstaller --onefile -p src -n nanovna-saver nanovna-saver.py
- name: Archive production artifacts
uses: actions/upload-artifact@v1
with:
name: NanoVNASaver.linux
path: dist/nanovna-saver

View File

@ -21,14 +21,16 @@ jobs:
sudo apt-get update
sudo apt install -y python3.11 python3-pip python3.11-venv \
python3.11-dev \
python3-pyqt5
'^libxcb.*-dev' libx11-xcb-dev \
libglu1-mesa-dev libxrender-dev libxi-dev \
libxkbcommon-dev libxkbcommon-x11-dev
- name: Install dependencies and pyinstall
run: |
python3.11 -m venv build
. build/bin/activate
python -m pip install pip==23.0.1 setuptools==67.6.0
python -m pip install pip==23.2.1 setuptools==68.0.0
pip install -r requirements.txt
pip install PyInstaller==5.9.0
pip install PyInstaller==5.13.0
- name: Build binary
run: |
. build/bin/activate

View File

@ -20,9 +20,9 @@ jobs:
python-version: 3.11
- name: Install dependencies and pyinstall
run: |
python -m pip install pip==23.0.1 setuptools==67.6.0
python -m pip install pip==23.2.1 setuptools==68.0.0
pip install -r requirements.txt
pip install PyInstaller==5.9.0
pip install PyInstaller==5.13.0
- name: Build binary
run: |
python setup.py -V

View File

@ -25,9 +25,9 @@ jobs:
- name: Install dependencies and pyinstall
run: |
python -m pip install pip==23.0.1 setuptools==67.6.0
python -m pip install pip==23.2.1 setuptools==68.0.0
pip install -r requirements.txt
pip install PyInstaller==5.9.0
pip install PyInstaller==5.13.0
- name: Build binary
run: |

View File

@ -26,7 +26,7 @@ jobs:
run: |
pip install -U pip setuptools setuptools-scm
pip install -r requirements.txt
pip install PyInstaller==5.9.0
pip install PyInstaller==5.13.0
- name: Build binary
run: |
python setup.py -V

View File

@ -1,6 +1,6 @@
app-id: io.github.zarath.nanovna-saver
runtime: org.kde.Platform
runtime-version: '5.15-21.08'
runtime-version: '6.5'
sdk: org.kde.Sdk
command: /app/bin/NanoVNASaver
build-options:
@ -10,7 +10,7 @@ modules:
- name: nanonva-saver
buildsystem: simple
build-commands:
- pip3 install --prefix=/app wheel
- pip3 install --prefix=/app wheel setuptools setuptools-scm
- pip3 install --prefix=/app git+https://github.com/NanoVNA-Saver/nanovna-saver.git
finish-args:
# X11 + XShm access

View File

@ -25,9 +25,8 @@ import sys
# Ignore the current working directory.
src = os.path.join(os.path.dirname(__file__), "src")
# Ignore previously installed versions.
sys.path.insert(0, src)
assert os.path.exists(src)
if os.path.exists(src):
sys.path.insert(0, src)
# pylint: disable-next=wrong-import-position
import NanoVNASaver.__main__

View File

@ -1,7 +1,7 @@
pyserial==3.5
PyQt6==6.4.2
numpy==1.24.2
scipy==1.10.1
Cython==0.29.33
setuptools==67.6.0
PyQt6==6.5.2
numpy==1.25.1
scipy==1.11.1
Cython==3.0.0
setuptools==68.0.0
setuptools-scm==7.1.0

View File

@ -35,6 +35,7 @@ install_requires =
numpy>=1.21.1
scipy>=1.7.1
Cython>=0.29.24
setuptools-scm
[options.packages.find]
where = src